%{  bachbouree.ly
 
This is the Bach Bouree endlessly transcribed for guitar from the lute.  There
may be hundreds of versions out there with notes that are just fine, but I have
never seen a version of this that was fingered decently.  I think that Segovia
did such a poor job because he fingered it while still a child and never got
around to rethinking it, or he did and just forgot about redoing it.  That
could happen because his eyesight was so seriously impaired that he couldn't
read pencil.  I don't think he published the way that he played it but I saw
him play it with bad fingering, which many have copied.

There may be other good ways of fingering this, but what is important is *why*
my fingering is a lot better than the way you learned it.  Any time you can do
the same thing the same way twice, it's four times as good, because you play it
twice as much and you have half as much to learn.  It's also musically more
consistent, and therefore more controllable.  Three times the same way is nine
times as good.  It's crazy not to take advantage of this kind of arithmetic
when you can do so.

Ring = string. [2e = bar 2nd fret to E string.
 
On the last beat of measure 11 it is possible to play a pralltrill as in
measure 23.

The copyright does not extend to the notes, but I may someday put this piece
into a collection, so I am serious about the copyright.  Use it, mess with it,
print copies of it for your students, but do not publish it yourself.  This is
available for an indefinite time at http://www.openguitar.com

This was typeset using sly, with lilypond version 1.4.  Using lyinclude, the
notes were inserted into the .ly file.  (The comment (per cent) prevented
lyinclude from trying to find ``paper20.ly''.)  Next convert-ly was used to
bring it up to version 1.8, almost.  Much more had to be done.  Since this
piece is in only two parts, and because it is presented on one page, fingering
in front of the notes is not necessary, so not too much change was necessary to
the notes make it internet-ready.  Consequently I did not create a new sly file
after the conversion.

This is not a good example of how to write an .ly file, but it has some
formatting that guitarists might find useful.

The midi version is pretty much a waste of time, so I didn't spend any on it.
Timidity's guitar is so muddy I used the default piano instead.  The piano
isn't all that clear either.  (That same guitar sounds really nice doing a
simple accompaniment.)  
%} 

\version "1.7.28" \header { title = "Bouree"
composer = "J. S. Bach" tagline = "\center \copyright 2002 David Raleigh
        Arnold.  See source, ``bachbouree.ly'', for details, at
        http://www.openguitar.com."  
}

\include "english.ly" %
\paper { papersize = "letter" }
\include "paper20.ly" %
% don't work:
% lfinger = \property Voice.fingerHorizontalDirection = #LEFT 
% measurerest = s1

global = { \context Voice = global \notes {
\clef "G_8" \time 4/4 	\key g \major 
\repeat volta 2 { \partial 4 s4
s1
s1
s1 \break 
s1
s1
s1
s1
s2. } \break
\repeat volta 2 { \partial 4 s4 
s1 * 15
s2. }
} }

top = {	\context Voice = upper \notes {
\stemUp
e'8 fs'^2
g'4^4 fs'8^2 e' ds'4^4 e'8 fs'^2
b4 cs'8 ds' e'4^4 d'8^4 c'
b4 a8^2 g fs4^4 g8 a^2
b8^4 a g fs e4^2 e'8 fs'
g'4 fs'8 e' ds'4 e'8 fs'
b4 cs'8 ds' e'4 d'8 c'
b4 a8^1 g fs4.\trill g8^0
<g2. b,2. d2.> %break in meas 8
b8 g
d'4 a8^3 c' b4 g'8^3 d'^2
e'4^4 b8^3 d'^1 c'4^3 b8^3 a^1
gs4^1 a8^1 b^3 c'4^4 b8^3 a^1
a2.^2 d'8^4 a^2
b4^0 g'8^3 d'^2 e'4^4 b8^3 d'^1
c'4^3 a'8^3 e'^2 fs'4^4 cs'8^3 e'^1
d'4^"$\\!\\!$\\textcircled{\\textsc{g}}"  
cs'8 b^4 as4.\trill b8^0
b2.^0 b'8 fs'
gs'4^3 fs'8^4 e'^2 a'4^3 e'8^"$\\!\\!$[5" g'^4
fs'4^3 e'8^4 d'^2 g'4^3 d'8^"$\\!\\!$[3" f'^4
e'4^3 a'8^4 e'^0 fs'4^2 cs'8^"$\\!\\!$[2" e'^4
ds'4^3 b2 e'8 b
c'4^1 d'8^2 a b4 c'8^2 g
a4^"$\\!\\!$[2" b8^"$\\!\\!$[4" fs g4^2 fs8^3 e^1
ds4^1 e8^1 fs^3 g4^4 fs8_3\trill e_1
e2.^2 
} }

bottom = { \context Voice = bass  \notes {
\stemDown \dotsDown 
g,8_3 fs, 
e,4 a, b,_1 a,
g,4_3 fs,_"$\\!\\!$[2e" e, fs,_2
g,4_3 a, b, a,
g,4 b,_1 e,8 fs,_1 g,_3 fs,
e,4 a, b, a,
g,4 fs, e, fs,
g,4 c_2 d4_2 d4_2
g,2._3  % break in meas 8
g,4
fs,4_2 d g,_2 b,_1
c4_1 gs,_2 a,_2 d
e4_2 a, e e,
a,8 b,_1 a, g, fs,4 d
g,_3 b,_1 c4 gs,
a,_2 cs_1 d_1 as,_2

b,4_2 e_"[2e" fs fs,
b,8_2_"$\\!$ \\textcircled{\\textsc{e}}" as,_1 b,_2 cs_4 ds4_1 b,_2
e4_1 d cs a,
d4 c b, g,
c4 b, a, fs,
b,4. c8 b, a, gs,4_4
a,8 e_3 fs4_3 g,8_4 ds_1 e4_3
fs,8 cs_3 ds4_3 e,4 a,4
b, a, b,2
e,2.
}}

\score {
       %\property Score.Stem \override #'thickness = #1.0
       
       \context Staff = guitar < 
		\property Staff.instrument = "Guitar"
		\global
		\top
		\bottom
		>
	\paper { pagenumber = no
		 linewidth = 19.0 \cm
		 textheight = 9.0 \in
		}
	\midi  { \tempo 4=94 }
}
